Skip to main content
Infrastructure/Assets

ListAssetLinks

List asset links in a Region with optional source, target, status, and link type filters.

GET/api/v1/asset-links

Operation ID

ListAssetLinks

Since

1.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • regionUuid
    String

    Region UUID used to filter the results

  • sourceAssetType
    String

    Source asset type value used to filter the results

  • sourceAssetUuid
    String

    Source asset UUID used to filter the results

  • targetAssetType
    String

    Target asset type value used to filter the results

  • targetAssetUuid
    String

    Target asset UUID used to filter the results

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • uuid
      String

      Unique identifier of the asset link

      Example: link-uuid

    • regionUuid
      String

      Region uuid for this resource

      Example: value

    • sourcePlatformUuid
      String

      Source platform uuid for this resource

      Example: value

    • sourceAssetType
      String

      Source asset type for this resource

      Example: value

    • sourceAssetUuid
      String

      Source asset uuid for this resource

      Example: value

    • sourceAssetName
      String

      Source asset name for this resource

      Example: value

    • targetPlatformUuid
      String

      Target platform uuid for this resource

      Example: value

    • targetAssetType
      String

      Target asset type for this resource

      Example: value

    • targetAssetUuid
      String

      Target asset uuid for this resource

      Example: value

    • targetAssetName
      String

      Target asset name for this resource

      Example: value

    • linkType
      String

      Link type for this resource

      Example: value

    • matchMethod
      String

      Match method for this resource

      Example: value

    • confidence
      Long

      Confidence score of the current asset-link match

      Example: 0.95

    • status
      String

      Status for this resource

      Example: value

    • sourceDetection
      String

      Source detection for this resource

      Example: value

    • matchFields
      String

      Match fields for this resource

      Example: value

    • candidateSet
      String

      Candidate set for this resource

      Example: value

    • statusReason
      String

      Status reason for this resource

      Example: value

    • displayHint
      String

      Display hint for this resource

      Example: value

    • lastDetectedAt
      String

      Last detected at for this resource

      Example: 2026-01-15T08:00:00Z

    • createDate
      String

      Create date for this resource

      Example: 2026-01-15T08:00:00Z

    • lastOpDate
      String

      Last op date for this resource

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total for this resource

    Example: 10

  • limit
    Integer

    Limit for this resource

    Example: 10

  • offset
    Integer

    Offset for this resource

    Example: 10